Bug 144098 - RH Desktop without floppy - sometimes hangs, always complains
RH Desktop without floppy - sometimes hangs, always complains
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Brian Maly
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-04 10:40 EST by Tim Skirvin
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-19 16:14:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Skirvin 2005-01-04 10:40:02 EST
Description of problem:

Our RH Desktop systems do not have floppy drives.  On boot, we always
get error messages indicating that the system has been unable to find
the floppy drive; these error messages are annoying, but ultimately
harmless.  The bigger problem is that kudzu occasionally hangs on the
same step, looking for hardware...

Version-Release number of selected component (if applicable):

RH Desktop 3 Release 4, running on a Sun W2100z Opteron workstation.

How reproducible:

Errors are shown every time we boot on a default RH Desktop install.    

Steps to Reproduce:
Actual results:

init_module: No such device
insmod: Hint: insmod errors can be caused by incorrect module
parameters, includ
ing invalid IO or IRQ parameters.
      You may find more information in syslog or the output from dmesg
/lib/modules/2.4.21-27.0.1.ELsmp/kernel/drivers/block/floppy.o: insmod b
lock-major-2 failed

(note: transcribed, not cut-and-paste)

Expected results:

Shouldn't give this error message every time.  Shouldn't occasionally
hang either.

Additional info:

This may be two unrelated problems, but that's as much debugging as I
can get away with.

The hanging problems can be solved by booting into single-user mode,
removing /etc/sysconfig/hwconf, and re-running kudzu.  This is not an
adequate solution for our entire network, however, especially when
these problems appear on random boots.  I don't want to have to run
this on every boot (or shutdown)...
Comment 2 Bill Nottingham 2005-01-04 16:00:51 EST
Add 'alias floppy off' to /etc/modules.conf; this will prevent the driver from
being loaded.

The hang on floppy load is a kernel driver issue. Unfortunately, the underlying
issue is that it's impossible to detect the presence of a floppy drive without
loading the driver.
Comment 3 Tim Skirvin 2005-01-04 17:43:54 EST
This works, and is scriptable.  So I'm good.  Thanks!
Comment 4 Tim Skirvin 2005-01-04 17:45:29 EST
I should note, I don't know if this solves the hwconf problems yet...
Comment 5 Jim Paradis 2005-04-26 19:26:24 EDT
Tim, can you follow up with your experience?  I tend to believe that the
workaround would deal with the hwconf issue as well, but I'd like confirmation...
Comment 6 Tim Skirvin 2005-04-27 09:39:34 EDT
hwconf hasn't complained again since I started fixing it in modules.conf.
Comment 7 Red Hat Bugzilla 2007-03-18 18:28:29 EDT
User jparadis@redhat.com's account has been closed

Note You need to log in before you can comment on or make changes to this bug.